all:
	@cd ./src/lib; make; cd ..; cd ..
	@cd ./src/main; make; cd ..; cd ..
	@cd ./src/object; make; cp libpps.a ../../lib; cd ..; cd ..

cook_island:
	@cd ./src/lib; make; cd ..; cd ..
	@cd ./src/main; make -f Cook_Makefile; cd ..; cd ..
	@cd ./src/object; make; cp libpps.a ../../lib; cd ..; cd ..
	
zed_mobile:
	@cd ./src/lib; make; cd ..; cd ..
	@cd ./src/main; make -f Zed_Makefile; cd ..; cd ..
	@cd ./src/object; make; cp libpps.a ../../lib; cd ..; cd ..
	
rdb_tariff:
	@cd ./src/lib; make; cd ..; cd ..
	@cd ./src/main; make -f Rdb_Makefile; cd ..; cd ..
	@cd ./src/object; make; cp libpps.a ../../lib; cd ..; cd ..
	
clean:
	@cd ./src/lib; make clean; cd ..; cd ..
	@cd ./src/main; make clean; cd ..; cd ..
	@cd ./src/object; make clean; cd ..; cd ..
	@cd ./lib; rm -f libpps.a; cd ..

touch:
	@cd ./src/lib; touch *.c; cd ..; cd ..
	@cd ./src/main; touch *.c; cd ..; cd ..

rebuild: clean all
